Loading...
Searching...
No Matches
helpers.h
Go to the documentation of this file.
#ifndef ARC_STD_PARSER_HELPERS_H_
#define ARC_STD_PARSER_HELPERS_H_
#ifdef __cplusplus
extern "C" {
#endif
#include "arc/std/parser.h"
#include <stddef.h>
/**
* @brief recurses through a tag token adding token strings to a main string
*
* @note the string needs to be created otherwise this will break
* @note this will only add tokens that have data
*
* @param[in/out] data
* @param[in] tagToken the tag token to recurse through
*/
void ARC_ParserData_HelperRecurseStringAdd(ARC_String **data, ARC_ParserTagToken *tagToken);
#ifdef __cplusplus
}
#endif
#endif //ARC_STD_PARSER_HELPERS_H_
ARC_ParserData_HelperRecurseStringAdd
void ARC_ParserData_HelperRecurseStringAdd(ARC_String **data, ARC_ParserTagToken *tagToken)
recurses through a tag token adding token strings to a main string
parser.h
ARC_ParserTagToken
a parser type used inside of the parser data create function
Definition parser.h:35
ARC_String
substring position within a string
Definition string.h:14